"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
var _exportNames = {
  NpmAPI: true
};
exports.NpmAPI = void 0;

var _utils = require("./utils");

Object.keys(_utils).forEach(function (key) {
  if (key === "default" || key === "__esModule") return;
  if (Object.prototype.hasOwnProperty.call(_exportNames, key)) return;
  if (key in exports && exports[key] === _utils[key]) return;
  Object.defineProperty(exports, key, {
    enumerable: true,
    get: function () {
      return _utils[key];
    }
  });
});

function _defineProperty(obj, key, value) { if (key in obj) { Object.defineProperty(obj, key, { value: value, enumerable: true, configurable: true, writable: true }); } else { obj[key] = value; } return obj; }

class NpmAPI {
  constructor(generatorCore) {
    _defineProperty(this, "generatorCore", void 0);

    this.generatorCore = generatorCore;
  }

  npmInstall({
    cwd,
    registryUrl,
    ignoreScripts
  }) {
    return (0, _utils.npmInstall)({
      cwd: cwd || this.generatorCore.outputPath,
      registryUrl,
      ignoreScripts
    });
  }

  yarnInstall({
    cwd,
    registryUrl,
    ignoreScripts
  }) {
    return (0, _utils.yarnInstall)({
      cwd: cwd || this.generatorCore.outputPath,
      registryUrl,
      ignoreScripts
    });
  }

  pnpmInstall({
    cwd,
    registryUrl,
    ignoreScripts
  }) {
    return (0, _utils.pnpmInstall)({
      cwd: cwd || this.generatorCore.outputPath,
      registryUrl,
      ignoreScripts
    });
  }

}

exports.NpmAPI = NpmAPI;